#include "Pot.h"
#include "ADC.h"

float maxPot [2] = {1.17, 1.17};  //tilkoblet servo 3 og 4
float minPot [2] = {0.59, 0.59};

void init_Pot()
{
	init_ADC(); 
	
}

double read_Pot(char potNr)
{
	int adcNr = 0;
	float potVoltage = 0;
	double potPercent = 0;
	
	//velg riktig ADC-nummer. Pot'ene kobles p de to siste tilgjengelige JTAG-pin'ene (5 og 9)
	switch (potNr)
	{
		case '1':
			adcNr = 3;
			break;
		case '2':
			adcNr = 4;
			break;
	}
	
	potVoltage = read_ADC(adcNr);
	
	potPercent = 100*(potVoltage-minPot[potNr-1])/(maxPot[potNr-1]-minPot[potNr-1]);
	
	return potPercent;
}
