// FSR.c 

#include "FSR.h"
#include "ADC.h"

void init_FSR()
{
		
	init_ADC();
}

float read_FSR(char fsrNr)
{
	int adcNr = 0;
	float fsrVoltage = 0;
	
	//velg riktig ADC-nummer. FSR'ene kobles p de frste to frste tilgjengelige JTAG-pin'ene (1 og 3)
	switch (fsrNr)
	{
		case '1':
			adcNr = 1;
			break;
		case '2':
			adcNr = 2;
			break;
		case '3':
			adcNr = 1;
			break;
		case '4':
			adcNr = 2;
			break;
	}
	
	read_ADC(adcNr);
	
	return fsrVoltage;
}