// Demonstrator.h PWM version

#include <avr/signal.h>
#include <inttypes.h>

void init_PWM(void); //initiering
int parse_ctc(char *, int); //behandling av ctc (pulsbredde) sendt fra pc p servo (pulsbredde i microsek, servoNr)
int parse_freq(char *); //behandling av frekvens sendt fra pc, felles for servoene (PWMfrekvens i Hz)
void set_position(double, int); //setter posisjon (posisjon i prosent, servoNr)
void increment_position(int); //inkrementerer servoposisjon (servoNr)
void decrement_position(int); //dekrementerer servoposisjon (servoNr)
void set_ctc(int, int); //starter PWM-signal med pulsbredde p "PWMcount" microsekunder (pulsbredde i microsek, servoNr)
void set_freq(int); //setter frekvens (frekvens i Hz)
void stop_PWM(void); //stopper PWM-generering (utgangen blir satt konstant hy!)


